
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #197

Song 'tooltip' remains above all windows, even when window is switched, until mouse is moved back

to window

October 15, 2012 17:22 - Samuel .

Status: Closed Start date: October 15, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Probably better demonstrated by this video. When the mouse is hovered over a song, the tooltip song info appears, but if the mouse

is moved over it and off the window, the tooltip does not disappear and remains over all windows.

Something which I couldn't reproduce in the video is that sometimes the tooltip appears over other windows after you open them. If

your mouse was on an Audacious song and you switch to another window, opening the new app causes you to switch away from

audacious, but the tooltip just pops up after a second or so. It's especially annoying if you're trying to play a game, but I'm confident

that both bugs have the same cause. In either case, you have to switch back to audacious and move over another song to cancel the

tooltip.

History

#1 - October 15, 2012 17:26 - Samuel .

- File Audacious bug 2.webm added

#2 - November 11, 2012 20:55 - John Lindgren

What window manager are you using? I can't reproduce this under XFWM4.

#3 - November 12, 2012 18:20 - Samuel .

John Lindgren wrote:

What window manager are you using? I can't reproduce this under XFWM4.

 

That video was under Gnome-shell. I think Mutter is the WM it uses, but I'm not sure.

#4 - November 15, 2012 06:53 - John Lindgren

Please see if you can reproduce the problem using a different window manager.  My guess is, some window events are not getting through to

Audacious under Mutter.

#5 - December 01, 2012 14:46 - John Lindgren

- Status changed from New to Closed

Closing because unreproducible.

#6 - February 07, 2014 10:18 - Dimitar Asenov
I experience exactly the same two bugs as shown in both videos. This issue is still present. It is reproducible every time and very annoying. Both bugs

happens even after I switch to a different virtual desktop.

I'm using Kubuntu 13.10 with all the latest updates.

Audacious 3.4

KDE 4.11.2

Let me know if I can provide any more info or if there is something I can do to resolve this.

Files

Audacious bug.webm 4.1 MB October 15, 2012 Samuel .

Audacious bug 2.webm 1.41 MB October 15, 2012 Samuel .
